Bug 255937 - databases/mysql80-server: Update to 8.0.25 (Fixes security vulnerability)
Summary: databases/mysql80-server: Update to 8.0.25 (Fixes security vulnerability)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Dima Panov
URL:
Keywords: needs-patch, needs-qa, security
: 255933 (view as bug list)
Depends on:
Blocks: 255933
  Show dependency treegraph
 
Reported: 2021-05-16 21:58 UTC by Xin LI
Modified: 2021-05-24 16:19 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (joneum)
koobs: merge-quarterly?


Attachments
Proposed patch (12.03 KB, patch)
2021-05-16 21:58 UTC, Xin LI
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xin LI freebsd_committer 2021-05-16 21:58:57 UTC
Created attachment 225009 [details]
Proposed patch

Proposed patch to update the port to 8.0.25.

This patch also drops the unneeded LLVM 9 dependency for 13.x+ systems.
Comment 1 Xin LI freebsd_committer 2021-05-17 08:17:05 UTC
*** Bug 255933 has been marked as a duplicate of this bug. ***
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-18 04:53:54 UTC
^Triage: Pending update to VuXML
Comment 3 commit-hook freebsd_committer 2021-05-20 12:11:38 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c7fbbf15f3b8471c85f4c404c61fb2c9fbe1b923

commit c7fbbf15f3b8471c85f4c404c61fb2c9fbe1b923
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2021-05-20 12:07:45 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2021-05-20 12:07:45 +0000

    databases/mysql80-*: update to 8.0.25 GA release

    Release notes:  https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-25.html
                    https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-24.html

    PR:             255937
    Submitted by:   delphij@
    Approved by     joneum@ (implicit)
    MFH:            2021Q2

 databases/mysql80-client/Makefile                  |  1 -
 databases/mysql80-client/pkg-plist                 |  1 +
 databases/mysql80-server/Makefile                  | 13 +++---------
 databases/mysql80-server/distinfo                  |  6 +++---
 .../files/patch-client_CMakeLists.txt              | 18 ++++++++--------
 databases/mysql80-server/files/patch-icu68 (gone)  | 17 ---------------
 .../files/patch-mysys_my__default.cc               | 20 +++++++++---------
 .../mysql80-server/files/patch-sql_binlog.cc (new) | 24 ++++++++++++++++++++++
 .../mysql80-server/files/patch-sql_item.h (gone)   | 18 ----------------
 databases/mysql80-server/pkg-plist                 |  2 ++
 10 files changed, 53 insertions(+), 67 deletions(-)
Comment 4 commit-hook freebsd_committer 2021-05-20 12:14:40 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ca9337dc3528d948c14b0ea20dd016eb8608ee76

commit ca9337dc3528d948c14b0ea20dd016eb8608ee76
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2021-05-20 12:07:45 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2021-05-20 12:13:30 +0000

    databases/mysql80-*: update to 8.0.25 GA release

    Release notes:  https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-25.html
                    https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-24.html

    PR:             255937
    Submitted by:   delphij@
    Approved by     joneum@ (implicit)
    MFH:            2021Q2

    (cherry picked from commit c7fbbf15f3b8471c85f4c404c61fb2c9fbe1b923)

 databases/mysql80-client/pkg-plist                 |  1 +
 databases/mysql80-server/Makefile                  | 11 ++--------
 databases/mysql80-server/distinfo                  |  6 +++---
 .../files/patch-client_CMakeLists.txt              | 18 ++++++++--------
 databases/mysql80-server/files/patch-icu68 (gone)  | 17 ---------------
 .../files/patch-mysys_my__default.cc               | 20 +++++++++---------
 .../mysql80-server/files/patch-sql_binlog.cc (new) | 24 ++++++++++++++++++++++
 .../mysql80-server/files/patch-sql_item.h (gone)   | 18 ----------------
 databases/mysql80-server/pkg-plist                 |  2 ++
 9 files changed, 52 insertions(+), 65 deletions(-)